<?php
	
	/**
	 * Example 5
	 *
	 * Switching IP's
	 */
	
	// Include GeoIPLocator (path to source classes)
	include("../src/GeoIPLocator.class.php");
	
	// Instance
	$geoip = new GeoIPLocator("69.63.187.19"); // facebook.com
	
	// Current IP Location
	echo $geoip->getIPInfo()->getCountryName();
	echo "<br />";
	echo $geoip->getCountryFlag(100);
	
	echo "<hr />";
	
	// Setting new IP and looking up for it
	$geoip->setIP("87.238.81.130"); // Amazon.de
	$geoip->lookup();
	
	// Country name of new IP
	echo $geoip->getIPInfo()->getCountryName();
	echo "<br />";
	echo $geoip->getCountryFlag(100);
	
	
	echo "<hr />";
	
	// Setting new IP and looking up for it
	$geoip->setIP("217.169.113.132"); // inter.it
	$geoip->lookup();
	
	// Country name of new IP
	echo $geoip->getIPInfo()->getCountryName();
	echo "<br />";
	echo $geoip->getCountryFlag(100);
	
	
	
	echo "<hr />";
	
	// Setting new IP and looking up for it
	$geoip->setIP("212.227.17.105"); // 1und1.de
	$geoip->lookup();
	
	// Country name of new IP
	echo $geoip->getIPInfo()->getCountryName();
	echo "<br />";
	echo $geoip->getCountryFlag(100);
	
?>