<?php

	include('../../src/GeoIPLocator.class.php');
	
	$ip = $_POST['ip'];
	
	if( $ip )
	{
		$ip_portion = "(1[0-9][0-9]|2[0-5][0-5]|2[0-4][0-9]|[1-9][0-9]|[0-9])";
		$ip_pattern = "/^$ip_portion\.$ip_portion\.$ip_portion\.$ip_portion$/";
		
		if( preg_match($ip_pattern, $ip) )
		{
			$geoip = new GeoIPLocator($ip);
			$show_template = true;
		}
		else
		{
			$invalid_ip = true;
		}
	}
	
?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>GeoIPLocator - AJAX IP Lookup</title>
<link href="css/style.css" rel="stylesheet" type="text/css" />
</head>

<body>

 <div id="wrapper">
 
 	<h1>GeoIP Locator - IP Lookup</h1>
    
    <div class="hrule"></div>
    
    <div class="ip_check_box">
      <form id="form1" name="form1" method="post" action="" onsubmit="if( this.ip.value.length == 0 ){ alert('Please Enter IP Address!'); this.ip.focus(); return false; }">
        <table border="0" cellspacing="2" cellpadding="2">
          <tr>
            <td>Check IP Location:</td>
            <td><label>
              <input type="text" class="input"  name="ip" id="ip" />
            </label></td>
            <td><label>
              <input type="submit" name="lookup" class="submit" id="lookup" value="Lookup" />
            </label></td>
          </tr>
        </table>
      </form>
    </div>
    
    <? if($show_template){ ?>
    <div class="ip_env">
    <? $geoip->showDetails('template_3'); ?>
    </div>
    <? }
	else
	if( $invalid_ip )
	{
		?><div class="error">Please enter valid IP!</div><?
	}?>
  <div style="clear:both"></div>
    
    <div class="hrule2">
     &copy; Author: Arlind Nushi &lt;arlindd@gmail.com&gt;
    </div>
 </div>
</body>
</html>
